/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies). 
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:   
* 
*/

#ifndef XQAIWREQUEST_H_
#define XQAIWREQUEST_H_

#include <QObject>

class XQAiwRequest : public QObject
    {
    Q_OBJECT

public:

    XQAiwRequest();
    virtual ~XQAiwRequest();

    static void reset()
    {
        mSetArgumentsCallCount = 0;
        mLastErrorReturnValue = 0;
        mLastErrorCallCount = 0;
        mSendCallCount = 0;
        mSendFails = false;
        mSetEmbeddedCallCount = 0;        
    }
    
public:
    
    void setArguments(const QList<QVariant> &arguments);
    int lastError() const;
    bool send();
    void setEmbedded(bool embedded);
    
public:

    static int mSetArgumentsCallCount;
    static int mLastErrorReturnValue;
    static int mLastErrorCallCount;
    static int mSendCallCount;
    static bool mSendFails;
    static int mSetEmbeddedCallCount;
    
    };

#endif /* XQAIWREQUEST_H_ */ 
